package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.travelAddress.entity.TravelAddress;
import org.jeecg.modules.travelAdvance.entity.TravelAdvance;
import org.jeecg.modules.travelOrder.entity.TravelOrder;
import org.jeecg.modules.travelTime.entity.TravelTime;
import org.jeecg.modules.travelVolunteer.entity.TravelVolunteer;

public interface IndexApiService {
    //获取小程序任一文章或服务

    //获取banner图列表
    public Result<?> queryBannerList(String bannerCategoryId);

    //获取视频列表
    public Result<?> queryVideoList(PageBean pageBean);

    //获取文章列表-申遗历程/非遗体验
    public Result<?> queryArticleList(PageBean pageBean);

    //根据分类获取文章列表
    public Result<?> queryArticleListByType(String articleType, PageBean pageBean);

    //根据id获取文章详情
    public Result<?> queryArticleById(String articleId);

    //获取景区列表
    public Result<?> queryAreaList(PageBean pageBean);

    //根据id获取景区详情
    public Result<?> queryAreaListById(String areaId);

    //根据景区id获取该景区下的地点列表-景点/厕所/美食店铺/民宿
    public Result<?> querySpotList(String areaId, String categoryId, PageBean pageBean);

    //根据角色类型获取角色信息列表-讲解员/达人/摄影师
    public Result<?> queryRoleInfoList(String roleType, String level, String spot, PageBean pageBean);

    //根据角色id获取角色信息详情
    public Result<?> queryRoleInfoById(String roleInfoId);

    //根据角色id获取视频列表
    public Result<?> queryVedioById(String roleInfoId, PageBean pageBean);

    //获取视遗产路径/我要研学列表
    public Result<?> queryAmusementList(String amusementType, String isPay, PageBean pageBean);

    //根据id获取视遗产路径/我要研学详情
    public Result<?> queryAmusementById(String amusementId);

    //非遗体验列表
    public Result<?> queryExperienceList(PageBean pageBean);

    //非遗体验详情
    public Result<?> queryExperienceById(String experienceId);

    //我的收藏
    public Result<?> queryCollection(String collectionType, PageBean pageBean);

    //我的预约
    public Result<?> queryPreOrder(String collectionType, PageBean pageBean);

    //查询地址
    public Result<?> queryAddress(TravelAddress travelAddress, PageBean pageBean);

    //新增地址
    public Result<?> addAddress(TravelAddress travelAddress);

    //删除地址
    public Result<?> deleteAddress(String addressId);

    //修改地址
    public Result<?> updateAddress(TravelAddress travelAddress);

    //预约时段表
    public Result<?> queryOrderTime(TravelTime travelTime);

    //查询预约订单列表
    public Result<?> queryOrderList(TravelOrder travelOrder, PageBean pageBean);

    //获取文创好物列表
    public Result<?> queryWaresList(PageBean pageBean);

    //根据Id获取文创好物详情
    public Result<?> queryWaresById(String waresId);



    //文创好物-待补充

    //瓷都美食-链接美团

    //精品民宿-链接高德地图

    //无忧租车-链接滴滴打车

    //添加建议
    public Result<?> addAdvice(TravelAdvance travelAdvance);

    /*************************我的***********************************/
    //添加志愿者
    public Result<?> addVolunteer(TravelVolunteer travelVolunteer);

}
